# CalculateReport

This is the interface for storage miners to report to the chain that a fragment's tag has been computed, and only after the tag is computed can that fragment be challenged and receive revenue.

```golang
// CalculateReport report file tag calculation completed
//   - teeSig: tee sign
//   - tagSigInfo: tag sig info
//
// Return:
//   - string: block hash
//   - error: error message
//
// Note:
//   - for storage miner use only
func (c *ChainClient) CalculateReport(teeSig types.Bytes, tagSigInfo TagSigInfo) (string, error)
```

For the type definition, please refer to [TagSigInfo](https://github.com/CESSProject/doc-v2/blob/main/developer/cess-sdk/sdk-golang/chain_related/chain_type.md#TagSigInfo)

For example code, please refer to [calculate\_tag.go](https://github.com/CESSProject/cess-miner/blob/main/node/calculate_tag.go)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.cess.network/developer/cess-sdk/sdk-golang/chain_related/file_bank/calculatereport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
